SilverLining for Android 1.0 Skies, 3D clouds, and weather for Android

- Main Page
- Related Pages
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Members

Classes | Public Member Functions | Protected Member Functions | Static Protected Member Functions | Protected Attributes
com::sundogsoftware::silverlining::CloudLayer Class Reference

List of all members.

## Classes
class | PrecipitationTypes
## Public Member Functions
synchronized void | delete ()
CloudTypes | GetType ()
void | SetType (CloudTypes type)
void | SetEnabled (boolean enabled, long fadeTimeMS)
void | SetEnabled (boolean enabled)
boolean | GetEnabled ()
boolean | IsRenderable ()
void | SetBaseWidth (double meters)
double | GetBaseWidth ()
void | SetBaseLength (double meters)
double | GetBaseLength ()
void | SetBaseAltitude (double meters)
double | GetBaseAltitude ()
void | SetThickness (double meters)
double | GetThickness ()
void | SetDensity (double coveragePercentage)
double | GetDensity ()
void | SetLayerPosition (double eastCoord, double southCoord)
void | GetLayerPosition (SWIGTYPE_p_double east, SWIGTYPE_p_double south)
void | SetIsInfinite (boolean inf)
boolean | GetIsInfinite ()
void | SetWind (double windX, double windZ)
void | GetWind (SWIGTYPE_p_double windX, SWIGTYPE_p_double windZ)
void | SetCloudAnimationEffects (double voxelSpinRate, boolean enableGrowth, int initialGrowthIterations, int timeStepInterval)
void | SetCloudAnimationEffects (double voxelSpinRate, boolean enableGrowth, int initialGrowthIterations)
void | SetCloudAnimationEffects (double voxelSpinRate, boolean enableGrowth)
void | SetCloudWrapping (boolean wrap)
boolean | GetCloudWrapping ()
void | SetFadeTowardEdges (boolean fade)
boolean | GetFadeTowardEdges ()
void | SetPrecipitation (int type, double intensity, double nearClip, double farClip)
void | SetPrecipitation (int type, double intensity, double nearClip)
void | SetPrecipitation (int type, double intensity)
SWIGTYPE_p_std__mapT_int_double_t | GetPrecipitation ()
boolean | HasPrecipitationAtPosition (double x, double y, double z)
boolean | IsInsideCloud (double x, double y, double z)
void | SetAlpha (double pAlpha)
double | GetAlpha ()
boolean | SupportsShadowMaps ()
void | GenerateShadowMaps (boolean arg0)
boolean | BindShadowMap (int textureStage, SWIGTYPE_p_double m)
void | SeedClouds (Atmosphere atm)
void | AddLightningListener (SWIGTYPE_p_SilverLining__LightningListener listener)
void | ClearLightningListeners ()
boolean | ForceLightning ()
## Protected Member Functions
| CloudLayer (long cPtr, boolean cMemoryOwn)
void | finalize ()
## Static Protected Member Functions
static long | getCPtr (CloudLayer obj)
## Protected Attributes
boolean | swigCMemOwn

The documentation for this class was generated from the following file:

- C:/sl/android/SilverLiningAndroidLibrary/src/com/sundogsoftware/silverlining/CloudLayer.java